# Token_Collection.h File Reference

`#include "ace/Map_Manager.h"`
`#include "ace/Local_Tokens.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Token_Collection.inl"`

Include dependency graph for Token_Collection.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Token_Collection
| Allows atomic token group operations AND provides a ACE_Token manager interface. More...

## Detailed Description

Id
  Token_Collection.h,v 4.21 2005/10/28 23:55:10 ossama Exp

The ACE_Token class offers methods for acquiring, renewing, and releasing a synchronization token on a per-token basis. The ACE_Token_Collection offers an interface for performing operations on groups of tokens as a whole, or on a single token within the collection.

The atomic group operations are not yet implemented.

Author:
  Douglas C. Schmidt (schmidt@cs.wustl.edu)

  Tim Harrison (harrison@cs.wustl.edu)